OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.InstancedArrays

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBInstancedArrays :: MonadIO m => m Bool
- gl_ARB_instanced_arrays :: Bool
- gl_VERTEX_ATTRIB_ARRAY_DIVISOR_ARB :: GLenum
- glVertexAttribDivisorARB :: MonadIO m => GLuint -> GLuint -> m ()

# Extension Support

glGetARBInstancedArrays :: MonadIO m => m Bool

Is the ARB_instanced_arrays extension supported?

gl_ARB_instanced_arrays :: Bool

Is the ARB_instanced_arrays extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBInstancedArrays` in those cases instead.

# Enums

gl_VERTEX_ATTRIB_ARRAY_DIVISOR_ARB :: GLenum

# Functions

glVertexAttribDivisorARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint | `divisor`.
-> m () |

This command is an alias for `glVertexAttribDivisor`.